<?php
/*********************************************************      
 程序说明：         
    功能说明：告警查询的下部页面，查询显示
    调用关系：
    变量说明：

    作者：    
      
修改注释：      
NO.1      
姓名：            
时间：      
修改说明：      
*********************************************************/
require("../../inc/header.inc");
$DEBUG = 0;

//==========================================================
//变量定义
//==========================================================
$dbName		= 'OMC_PUB';
$defTable	= 'sysAlarmConf';
$logTable	= 'sysAlarmLog';
$numberPerPage	= 100;		//每页纪录数
$orderByStr = "alarmTime DESC,sysTypeNo,sysNo,subSysNo";//排序顺序

//确定告警内容显示语言种类
if($language=='chn'){
	$alarmDesc	= alarmDesc_1; //chinese
}else{
	$alarmDesc	= alarmDesc_2;
}
 
//初始化设备名和设备编号数组，
//由于三张表一起查时，速度太慢，占用系统资源太大。
//所以系统类型编号对应的系统类型名称不从数据库中直接取。
//将数据到如数组，显示时，从数组中来取。
$device_sql ="SELECT sysTypeNo,sysTypeName 
			  FROM  $sysconf_table 
			  WHERE needHeartBeat >'0' 
			  ORDER BY sysTypeNo  
			  ";
$device_result = @mysqli_query($pubConn,$device_sql);
$device_rows = @mysqli_fetch_array($device_result);
echo mysqli_error($pubConn);
$i=0;
do{
	$sysTypeDef[$i][sysTypeNo]	= $device_rows[sysTypeNo];
	$sysTypeDef[$i][sysTypeName]= $device_rows[sysTypeName];
	$i++;
}while($device_rows = mysqli_fetch_array($device_result));

//需要被查询的字段名
$selectFieldList="$logTable.sysTypeNo,sysNo,subSysNo,$logTable.compCode,$logTable.alarmCode,alarmLevel,$alarmDesc ,alarmTime,clearTime,clearMode,clearInfo";

//显示列表时的表头标题
if ($selectedLanguage == 'eng')
	$showFieldArr=array('System','Alarm code','Alarm level','Events','Alarm time','Clear time','Clear');
elseif ($selectedLanguage == 'chn')
	$showFieldArr=array('系统号','告警代码','告警等级','描述','告警时间','清除时间','清除');
 
//==========================================================
//输入变量
//==========================================================

//上部页面传入的变量
 if($DEBUG) echo "<br>selSysTypeNo	= $selSysTypeNo";
 if($DEBUG) echo "<br>selAlarmLevel	= $selAlarmLevel";
 if($DEBUG) echo "<br>selAlarmCode	= $selAlarmCode";
 if($DEBUG) echo "<br>Clr	= $Clr";
 if($DEBUG) echo "<br>Gen	= $Gen";

omcProgressBar(100,100);
omcProgressBar(100,80);
omcProgressBar(100,60);
omcProgressBar(100,40);
omcProgressBar(100,20);
omcProgressBar(100,$selAlarmCode);
?>
 
 

